Upload app logs (internal)

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
POST /extraction/device/app-logs

Desktop plumbing: takes a log file (multipart field file), zips it with the request details, stores it in S3 and posts a Slack notification with its download link and the device, OS and backup details. Also saves an app log record for the caller's extraction code and case. Returns the Slack message ts as threadTs.

application/json

Body Required

  • systemId string Required
  • deviceId string Required
  • deviceType string Required

    Values are unknown, android, ios, facebook_dump, instagram_dump, threads_dump, or email.

  • date string Required

    ISO date string

  • appVersion string

    App version

  • message string

    Message

  • osDetails string
  • deviceMetadata string
  • threadTs string
  • replyBroadcast boolean
  • backupMetadata object
  • errorMetadata string
  • backupPath string

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • data object Required
      Hide data attributes Show data attributes object
      • message string Required
      • isSuccess boolean Required
      • threadTs string Required
    • statusCode number Required
    • timestamp string(date-time) Required
POST /extraction/device/app-logs
curl \
 --request POST 'http://api.example.com/extraction/device/app-logs' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{
  "systemId": "string",
  "deviceId": "string",
  "deviceType": "unknown",
  "date": "string",
  "appVersion": "string",
  "message": "string",
  "osDetails": "string",
  "deviceMetadata": "string",
  "threadTs": "string",
  "replyBroadcast": true,
  "backupMetadata": {},
  "errorMetadata": "string",
  "backupPath": "string"
}'
Request examples
{
  "systemId": "string",
  "deviceId": "string",
  "deviceType": "unknown",
  "date": "string",
  "appVersion": "string",
  "message": "string",
  "osDetails": "string",
  "deviceMetadata": "string",
  "threadTs": "string",
  "replyBroadcast": true,
  "backupMetadata": {},
  "errorMetadata": "string",
  "backupPath": "string"
}
Response examples (200)
{
  "data": {
    "message": "string",
    "isSuccess": true,
    "threadTs": "string"
  },
  "statusCode": 200,
  "timestamp": "2026-01-15T10:15:00.000Z"
}